<?php

namespace Drupal\Tests\commerce_refund\Functional;

use Drupal\Core\Url;
use Drupal\Tests\BrowserTestBase;

/**
 * Simple test to ensure that main page loads with module enabled.
 *
 * @group commerce_refund
 */
class RefundEntityTest extends BrowserTestBase {

  /**
   * Default theme name for this test.
   *
   * @var string
   */
  public $defaultTheme = 'stack';

  /**
   * Modules to enable.
   *
   * @var string[]
   */
  public static $modules = ['commerce_refund'];

  /**
   * A user with permission to administer site configuration.
   *
   * @var \Drupal\user\UserInterface
   */
  protected $user;

  /**
   * {@inheritdoc}
   *
   * @throws \Drupal\Core\Entity\EntityStorageException
   */
  protected function setUp(): void {
    parent::setUp();
    $this->user = $this->drupalCreateUser(['administer site configuration']);
    $this->drupalLogin($this->user);
  }

  /**
   * Tests that the home page loads with a 200 response.
   *
   * @throws \Behat\Mink\Exception\ExpectationException
   */
  public function testEntity() {
    // Create an order.
    // Make the order paid.
    // Refund the payment.
    $this->drupalGet(Url::fromRoute('<front>'));
    $this->assertSession()->statusCodeEquals(200);
  }

}
